> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# History

> Retrieve the history of a toll.



## OpenAPI

````yaml get /v2/tolls/{id}/history/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/tolls/{id}/history/:
    get:
      tags:
        - Tolls
      description: This action returns the history of a ticket.
      operationId: v2_tolls_history_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ticket'
          description: ''
components:
  schemas:
    Ticket:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        vehicle:
          allOf:
            - $ref: '#/components/schemas/Vehicle'
          readOnly: true
        transponder:
          allOf:
            - $ref: '#/components/schemas/RawTransponder'
          readOnly: true
        driver:
          allOf:
            - $ref: '#/components/schemas/Driver'
          readOnly: true
        exit_plaza:
          type: string
          readOnly: true
        billing_status:
          allOf:
            - $ref: '#/components/schemas/BillingStatusEnum'
          default: NO_ACTION
        billing_status_fk:
          $ref: '#/components/schemas/BillingStatus'
        cash_cost:
          type: number
          format: double
          maximum: 1000
          minimum: -1000
          exclusiveMaximum: true
          exclusiveMinimum: true
        amount:
          type: string
          readOnly: true
        posting_date:
          type: string
          format: date
          readOnly: true
        transaction_date:
          type: string
          format: date
        agency:
          type: string
          nullable: true
          maxLength: 25
        exit_time:
          type: string
          format: time
        entry_plaza:
          type: string
          nullable: true
          maxLength: 55
        our_cost:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
        is_billed:
          type: boolean
        billed_on:
          type: string
          format: date-time
          nullable: true
        confirmation_id:
          type: string
          nullable: true
          maxLength: 255
        system_remarks:
          nullable: true
        violation:
          type: boolean
        violation_fee:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          nullable: true
        source_id:
          type: integer
          maximum: 9223372036854776000
          minimum: 0
          format: int64
          nullable: true
        driver_agreement:
          type: integer
          nullable: true
        included_in_driver_invoice:
          type: integer
          nullable: true
        source_type:
          type: integer
          nullable: true
      required:
        - amount
        - billing_status_fk
        - cash_cost
        - driver
        - exit_plaza
        - exit_time
        - id
        - posting_date
        - transaction_date
        - transponder
        - vehicle
    Vehicle:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        plate_number:
          type: string
          maxLength: 15
        plate_state:
          type: string
          maxLength: 2
        vehicle_number:
          type: string
          maxLength: 20
        active:
          type: boolean
        vehicle_make:
          type: string
          nullable: true
          maxLength: 50
        vehicle_model:
          type: string
          nullable: true
          maxLength: 50
        year:
          type: string
          nullable: true
          maxLength: 5
        lessee_renter:
          type: string
          nullable: true
          title: Lessee/Renter
          maxLength: 255
        custom_fields:
          type: string
          readOnly: true
        vehicle_type_code:
          type: string
          nullable: true
          maxLength: 15
        added_date:
          type: string
          format: date-time
          readOnly: true
        fleet:
          allOf:
            - $ref: '#/components/schemas/Fleet'
          readOnly: true
      required:
        - added_date
        - custom_fields
        - fleet
        - id
    RawTransponder:
      type: object
      description: Model serializer for raw transponder data
      properties:
        id:
          type: integer
          readOnly: true
        number:
          type: string
          maxLength: 64
        status:
          $ref: '#/components/schemas/StatusBf2Enum'
      required:
        - id
        - number
    Driver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: array
          items:
            type: string
            format: email
        driver_id:
          type: string
          nullable: true
          maxLength: 255
        first_name:
          type: string
          maxLength: 100
        last_name:
          type: string
          maxLength: 100
        address_line_1:
          type: string
          maxLength: 100
        address_line_2:
          type: string
          nullable: true
          maxLength: 100
        city:
          type: string
          maxLength: 50
        state:
          type: string
          maxLength: 2
        zip:
          type: string
          maxLength: 10
          minLength: 5
        contact_number:
          type: string
          nullable: true
          maxLength: 15
      required:
        - address_line_1
        - city
        - first_name
        - id
        - state
        - zip
    BillingStatusEnum:
      enum:
        - NO_ACTION
        - CARD_NOT_ON_FILE
        - INVOICED_NOT_PAID
        - PAID_SUCCESSFULLY
        - CREDIT_CARD_DECLINED
        - EXPIRED_CREDIT_CARD
        - EMPLOYEE_USE_OR_FLEET_LIABLE
        - USER_NOT_FOUND
        - DISPUTED_TOLL_OR_TICKET
        - VALIDATION_ISSUES
        - COD_SERVICE
      type: string
      description: |-
        * `NO_ACTION` - No Action
        * `CARD_NOT_ON_FILE` - Card Not On File
        * `INVOICED_NOT_PAID` - Invoiced – Not Paid
        * `PAID_SUCCESSFULLY` - Paid Successfully
        * `CREDIT_CARD_DECLINED` - Credit Card Declined
        * `EXPIRED_CREDIT_CARD` - Expired Credit Card
        * `EMPLOYEE_USE_OR_FLEET_LIABLE` - Employee Use/Fleet Liable
        * `USER_NOT_FOUND` - User Not Found
        * `DISPUTED_TOLL_OR_TICKET` - Disputed Toll/Ticket
        * `VALIDATION_ISSUES` - Validation Issues
        * `COD_SERVICE` - COD Service
    BillingStatus:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        value:
          type: string
        display_text:
          type: string
        ticket_type:
          type: string
        fleet:
          type: integer
          readOnly: true
          nullable: true
        is_system:
          type: string
          readOnly: true
      required:
        - display_text
        - fleet
        - id
        - is_system
        - ticket_type
        - value
    Fleet:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        regions:
          type: array
          items:
            type: integer
            writeOnly: true
          writeOnly: true
        region_details:
          type: array
          items:
            $ref: '#/components/schemas/Region'
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        billing_type:
          $ref: '#/components/schemas/BillingTypeEnum'
        onboarding_stage:
          $ref: '#/components/schemas/OnboardingStageEnum'
        warning_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        deactivation_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        client:
          type: string
          nullable: true
          maxLength: 100
        onboarding_vehicle_order:
          type: integer
          nullable: true
      required:
        - id
        - region_details
        - regions
    StatusBf2Enum:
      enum:
        - IN_STOCK
        - IN_SHIPMENT
        - PENDING_VEHICLE
        - ACTIVE
        - REQUESTED_REMOVAL
        - RETURN_IN_PROGRESS
        - RETURNED
        - RETURNED_TO_TOLL_AUTH
        - LOST_OR_STOLEN
        - LOST_DEACTIVATED
      type: string
      description: |-
        * `IN_STOCK` - In stock
        * `IN_SHIPMENT` - Shipment in progress
        * `PENDING_VEHICLE` - Pending vehicle
        * `ACTIVE` - Active
        * `REQUESTED_REMOVAL` - Requested removal
        * `RETURN_IN_PROGRESS` - Return in progress
        * `RETURNED` - Returned to FleetIT
        * `RETURNED_TO_TOLL_AUTH` - Returned to toll authority
        * `LOST_OR_STOLEN` - Lost/Stolen
        * `LOST_DEACTIVATED` - Lost-deactivated
    Region:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 70
      required:
        - id
        - title
    BillingTypeEnum:
      enum:
        - PREPAID
        - POSTPAID
      type: string
      description: |-
        * `PREPAID` - prepaid
        * `POSTPAID` - postpaid
    OnboardingStageEnum:
      enum:
        - INITIAL
        - FLEET_NAMED
        - VEHICLES_ADDED
        - COMPLETED
      type: string
      description: |-
        * `INITIAL` - Initial
        * `FLEET_NAMED` - Fleet Named
        * `VEHICLES_ADDED` - Vehicles Added
        * `COMPLETED` - Completed
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````